{
  "name": "@workshop/spike",
  "module": "src/discord/index.ts",
  "type": "module",
  "private": true,
  "scripts": {
    "bot:cli": "bun run --watch src/cli",
    "bot:discord": "bun run --watch src/discord",
    "authServer": "bun run --watch src/discord/auth.ts",
    "subdomain:start": "bun run src/server/index.tsx",
    "subdomain:dev": "bun run --hot src/server/index.tsx",
    "test:unit": "bun test src/",
    "test:integration": "bun test --preload ./tests/setup.ts tests/",
    "test": "bun test src/ && bun test --preload ./tests/setup.ts tests/"
  },
  "prettier": {
    "printWidth": 110,
    "semi": false
  },
  "dependencies": {
    "@openai/agents": "^0.0.10",
    "@workshop/shared": "workspace:*",
    "discord.js": "^14.19.3",
    "luxon": "catalog:",
    "zod": "catalog:",
    "hono": "catalog:"
  },
  "devDependencies": {
    "@types/bun": "latest"
  },
  "peerDependencies": {
    "typescript": "^5"
  }
}